package dto

import "cold-delivery/common/dto"

type WeianGetOrderInfoReq struct {
	OrderId string `form:"orderId"`
}

type WeianGetWaybillNoReq struct {
	WaybillNo   string `form:"waybillNo"`
	OrderId     string `form:"orderId" vd:"len($)>0;msg:'订单编号不能为空'"`
	CompanyName string `form:"companyName" vd:"len($)>0;msg:'公司名称不能为空'"`
}

type WeianGetWaybillDataReq struct {
	dto.Pagination `search:"-"`
	WaybillNo      string `form:"waybillNo" search:"type:contains;column:waybill_no;table:waybill_task" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填
	StartTime      string `form:"startTime"`
	EndTime        string `form:"endTime"`
}

func (m *WeianGetWaybillDataReq) GetNeedSearch() interface{} {
	return *m
}
